#include <Alert.h>

#include <map>

#include "FancyDebug.h"

void FatalError(const char *txt)
{
	(new BAlert("Fatal Error", txt, "Doh!", NULL, NULL, B_WIDTH_AS_USUAL, B_STOP_ALERT))->Go();
	exit(-1);
}

#if DEBUG

unsigned &debug_stack_depth()
{
	static map<thread_id, unsigned> sd;
	return sd[find_thread(NULL)];
}

#endif
