#ifndef OPCODES_H
#define OPCODES_H

#define kFancyAppSignature "application/x-vnd.Wesslen-FancyKeyboard-Player"

namespace opcode {

// public:
const uint32 Mute			= 'mute';
const uint32 VolumeUp		= 'volu';
const uint32 VolumeDown		= 'vold';
const uint32 PlayPause		= 'play';
const uint32 PlaySelection		= 'psel';
const uint32 AddSelection		= 'asel';
const uint32 Stop			= 'stop';
const uint32 Eject			= 'ejct';
const uint32 Shuffle			= 'rand';
const uint32 PrevTrack		= 'prev';
const uint32 NextTrack		= 'next';
const uint32 FirstTrack		= 'frst';
const uint32 LastTrack		= 'last';

// private:
const uint32 LaunchedFromAddOn= 'lado';	// action in BMessage "msg"

}

namespace key {

const uint32 Mute		= 0x100301;
const uint32 VolumeDown	= 0x100302;
const uint32 VolumeUp	= 0x100303;

const uint32 PlayPause	= 0x100201;
const uint32 Stop		= 0x100202;
const uint32 Eject		= 0x100203;
const uint32 PrevTrack	= 0x100204;
const uint32 NextTrack	= 0x100205;

}

#endif
