#ifndef MESSAGE_WINDOW_H
#define MESSAGE_WINDOW_H

#include "TimedWindow.h"

class MessageWindow : public TimedWindow {
	typedef TimedWindow inherited;
public:
	MessageWindow();

	void SetText(const char *);
	void AppendText(const char *);
	const char *Text() const;

	void Place();

	void ShowText(const char *txt);

private:
	BStringView *fView;
};

#endif
