#ifndef VOLUME_VIEW_H
#define VOLUME_VIEW_H

#include <View.h>

class VolumeView : public BView {
public:
	VolumeView(const BRect &frame, const char *name);
	~VolumeView();

	void Draw(BRect updateRect);
	void MessageReceived(BMessage *msg);
	void AttachedToWindow();

private:
	void UpdateVars();
	float TransformGain(float);

	BContinuousParameter *volumePar;
	BDiscreteParameter *mutePar;

	int32 muted;
	float actualGain[2];
	float gain[2];
	float minGain;
	float maxGain;
	float aMinGain;
	float aMaxGain;
	int gainResponse;
	float gainFactor;
	float gainOffset;
};

#endif
